
From: Hans Reiser <reiser@namesys.com>

This patch corrects indentation in function parse_option().

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/vfs_ops.c |   36 +++++++++++++++++++-----------------
 1 files changed, 19 insertions(+), 17 deletions(-)

diff -puN fs/reiser4/vfs_ops.c~reiser4-parse-option-cleanup fs/reiser4/vfs_ops.c
--- 25/fs/reiser4/vfs_ops.c~reiser4-parse-option-cleanup	2004-09-20 11:06:11.150897952 -0700
+++ 25-akpm/fs/reiser4/vfs_ops.c	2004-09-20 11:06:11.156897040 -0700
@@ -790,26 +790,28 @@ parse_option(char *opt_string /* startin
 			result = RETERR(-EINVAL);
 		}
 		break;
-	case OPT_ONEOF:{
-			int i = 0;
+	case OPT_ONEOF:
+	{
+		int i = 0;
 
-			if (val_start == NULL) {
-				err_msg = "Value is missing";
-				result = RETERR(-EINVAL);
-				break;
-			}
-			err_msg = "Wrong option value";
+		if (val_start == NULL) {
+			err_msg = "Value is missing";
 			result = RETERR(-EINVAL);
-			while ( opt->u.oneof.list[i] ) {
-				if ( !strcmp(opt->u.oneof.list[i], val_start) ) {
-					result = 0;
-					*opt->u.oneof.result = i;
-					break;
-				}
-				i++;
+			break;
+		}
+		err_msg = "Wrong option value";
+		result = RETERR(-EINVAL);
+		while ( opt->u.oneof.list[i] ) {
+			if ( !strcmp(opt->u.oneof.list[i], val_start) ) {
+				result = 0;
+				err_msg = NULL;
+				*opt->u.oneof.result = i;
+				break;
 			}
-		        break;
-		       }
+			i++;
+		}
+		break;
+	}
 	default:
 		wrong_return_value("nikita-2100", "opt -> type");
 		break;
_
